%   Copyright (C) 2019 Eugenio Ricci
%   Copyright (C) 2020 Filippo Cona
%
%   This file is part of EDAmat.
%
%   EDAmat is free software: you can redistribute it and/or modify
%   it under the terms of the GNU Lesser General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%
%   EDAmat is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU Lesser General Public License for more details.
%
%   You should have received a copy of the GNU Lesser General Public License
%   along with EDAmat.  If not, see <http://www.gnu.org/licenses/>.

function savePlotTicks_m(app)
% This scripts saves axes ticks and ticks labels in specific variables

app.plotXTick = get(app.AnalysisAxes, 'xtick');
app.plotXTickLabel = get(app.AnalysisAxes, 'xticklabel');
app.plotYTick = get(app.AnalysisAxes, 'ytick');
app.plotYTickLabel = get(app.AnalysisAxes, 'yticklabel');
end
